% Inputdata - laster inn inputfiler

load inputfiler/BasisData.txt -ascii;
%B          L               A_u     A_w
%H          rho             C_ux	C_wx
%dx         L_eksp_start    I_u		I_w
%domega     L_eksp_slutt    xL_u	xL_w 

% A-matrisen:
load inputfiler/AA.txt -ascii;
[h_AA,b_AA]=size(AA);
% Filtrerer bort verdier som hrer til kabelsvingning:
j=2;
pos_AA_uten=1;
for i = 1:h_AA
    if i == j
        j=j+4;
    else
        AA_uten(pos_AA_uten,:)=AA(i,:);
        pos_AA_uten=pos_AA_uten+1;
    end
end

% Egenfrekvenser:
load inputfiler/SvingeformData.txt -ascii;
[h_SvingeformData,b_SvingeformData]=size(SvingeformData);
omega_i_V0=SvingeformData(:,1);

% Sorterer ut svingeformnummer i vektorer for horisontal (y), vertikal (z)
% og torsjonsretning (tetta):
d=1; e=1; f=1;
svingeformer_y=0;
svingeformer_z=0;
svingeformer_tetta=0;
for i=1:h_SvingeformData
    if SvingeformData(i,2)==1
        svingeformer_y(d)=i;
        d=d+1;
    elseif SvingeformData(i,2)==2
        svingeformer_z(e)=i;
        e=e+1;
    elseif SvingeformData(i,2)==3
        svingeformer_tetta(f)=i;
        f=f+1;
    end
end

% Dempningsgrader:
zeta = load('inputfiler/Modaldempning.txt','-ascii');
zeta = diag(zeta);

% Geometriske data:
L = BasisData(1,2);
L_eksp_start = BasisData(3,2);
L_eksp_slutt = BasisData(4,2);

% Vinddata:
load inputfiler/Vvektor.txt -ascii;
V = transpose(Vvektor);
rho = BasisData(2,2);
I_u = BasisData(3,3);
I_w = BasisData(3,4);

% Forenklede lastkoeffisientdata (konstante verdier):
load inputfiler/Ckoeff.txt -ascii;

% Nyaktighet og kontroll av konvergens:
dx = BasisData(3,1);
domega = BasisData(4,1);

% Lager omega-vektor:
omega_start = domega;
omega_end = omega_i_V0(end)*2;
omega = omega_start:domega:omega_end;

% Lager x-vektor:
x = 0:dx:L;

x_r = load('inputfiler/XrNor.txt','-ascii');
x_r = transpose(x_r);

% Lager Input_felles:
[error,index_1] = min(abs(x-L_eksp_start));
[error,index_2] = min(abs(x-L_eksp_slutt));
Input_felles = [BasisData(1,1)	BasisData(2,1)   index_1 index_2];
    % [B	H   index_1 index_2]
    
% Lager Input_cross_spectra:
Input_cross_spectra = [BasisData(2,3)   BasisData(2,4) BasisData(1,3) ...
    BasisData(1,4)  BasisData(4,3)  BasisData(4,4)];
   
C_ux = Input_cross_spectra(1);
C_wx = Input_cross_spectra(2);
A_u = Input_cross_spectra(3);
A_w = Input_cross_spectra(4);
xL_u = Input_cross_spectra(5);
xL_w = Input_cross_spectra(6);

% Lager svingeformene:
[h_AA_uten,b_AA] = size(AA_uten);
phi = zeros(h_AA_uten,length(x));
for m = 1:h_AA_uten
    for n = 1:b_AA
        phi(m,:) = AA_uten(m,n)*sin(n*pi*x/L)+phi(m,:);
    end
end

% Laster modalmassene:
m = load('inputfiler/Modalmasse.txt','-ascii');