function AD = aeDerivert(Input_felles,Ckoeff,omega_i_j,V,type)
% Regner ut den aerodynamisk deriverte

B = Input_felles(1); % Bredden til bruas tverrsnitt

V_red = V/(B*omega_i_j); % Den reduserte vindhastigheten

alpha_L = 0.9;
alpha_M = 0.7;
betta_M = 0.4;
betta_L = 0.16;
C_Ld = Ckoeff(5);
C_Md = Ckoeff(7);

    if type == 1 % P1
        AD = -0.2486*V_red;
    elseif type == 2 % P2
        AD = 0;
    elseif type == 3 % P3
        AD = 0;
    elseif type == 4 % P4
        AD = 0;
    elseif type == 5 %P5
        AD = 0;
    elseif type == 6 % P6
        AD = 0;
    elseif type == 7 % H1
        AD = - alpha_L*C_Ld .* V_red;
    elseif type == 8 % H2
        AD = alpha_L*C_Ld*betta_L.* V_red;
    elseif type == 9 % H3
        AD = alpha_L*C_Ld .* V_red.^2;
    elseif type == 10 % H4
        AD = 0;
    elseif type == 11 % A1
        AD = - alpha_M*C_Md .* V_red;
    elseif type == 12 % A2
        AD = - alpha_M*C_Md*betta_M.* V_red.^2;
    elseif type == 13 % A3
        AD = alpha_M*C_Md .* V_red.^2;
    elseif type == 14 % A4
        AD = 0;
    end
end