function zeta_ae = dempning_ae(Input_felles,phi_i,phi_j, ...
    SvingeformData,Ckoeff,V,rho,m_i,mode_i,mode_j,omega_i_i,omega_i_j ...
    ,omega_i_V0_i)
% Gir aerodynamisk dempning for gitte inputverdier. 

B = Input_felles(1); % Bredden av brutverrsnittet.
index_1 = Input_felles(3); % Indeks  for L_eksp_start.
index_2 = Input_felles(4); % Indeks  for L_eksp_slutt.

integral = 0;

if SvingeformData(mode_i,2) == 1 % Dersom phi_i er i hor. retning.
    if SvingeformData(mode_j,2) == 1 % Dersom phi_j er i hor. retning.
        AD = aeDerivert(Input_felles,Ckoeff,omega_i_j,V,1);
        for n = index_1:index_2
            teller = phi_i(1,n)*phi_j(1,n);
            integral = integral + teller;
        end
        integral = integral*AD;
        
    elseif SvingeformData(mode_j,2) == 2 % Dersom phi_j er i ver. retning.
        AD = aeDerivert(Input_felles,Ckoeff,omega_i_j,V,5);
        for n = index_1:index_2
            teller = phi_i(1,n)*phi_j(2,n);
            integral = integral + teller;
        end
        integral = integral*AD;
        
    else % Dersom phi_j er i torsjon.
        AD = aeDerivert(Input_felles,Ckoeff,omega_i_j,V,2);
        for n = index_1:index_2
            teller = phi_i(1,n)*phi_j(3,n);
            integral = integral + teller;
        end
        integral = integral*B*AD;
        
    end
elseif SvingeformData(mode_i,2) == 2 % Dersom phi_i er i ver. retning.
    if SvingeformData(mode_j,2) == 1 % Dersom phi_j er i hor. retning.
        integral = 0;
        
    elseif SvingeformData(mode_j,2) == 2 % Dersom phi_j er i ver. retning.
        AD = aeDerivert(Input_felles,Ckoeff,omega_i_j,V,7);
        for n = index_1:index_2
            teller = phi_i(2,n)*phi_j(2,n);
            integral = integral + teller;
        end
        integral = integral*AD;
        
    else % Dersom phi_j er i torsjon.
        AD = aeDerivert(Input_felles,Ckoeff,omega_i_j,V,8);
        for n = index_1:index_2
            teller = phi_i(2,n)*phi_j(3,n);
            integral = integral + teller;
        end
        integral = integral*B*AD;
        
    end
else % Dersom phi_i er i torsjon.
    if SvingeformData(mode_j,2) == 1 % Dersom phi_j er i hor. retning.
        integral = 0;
        
    elseif SvingeformData(mode_j,2) == 2 % Dersom phi_j er i ver. retning.
        AD = aeDerivert(Input_felles,Ckoeff,omega_i_j,V,11);
        for n = index_1:index_2
            teller = phi_i(3,n)*phi_j(2,n);
            integral = integral + teller;
        end
        integral = integral*B*AD;
        
    else % Dersom phi_j er i torsjon.
        AD = aeDerivert(Input_felles,Ckoeff,omega_i_j,V,12);
        for n = index_1:index_2
            teller = phi_i(3,n)*phi_j(3,n);
            integral = integral + teller;
        end
        integral = integral*B^2*AD;
        
    end
end

nevner = phi_i(1,:)*phi_i(1,:)'+phi_i(2,:)*phi_i(2,:)' ...
    +phi_i(3,:)*phi_i(3,:)';

zeta_ae = ((rho*B^2)/(4*m_i))*(omega_i_j/omega_i_V0_i)*(integral/nevner);
end