function omega_i_endelig = iterasjon(Input_felles,Ckoeff,phi, ...
    SvingeformData,omega,m,rho,zeta,omega_i_V0,omega_i,V)
% Itererer den endelige egenfrekvensvektoren for gitt middelvindhastighet,
% V.

len_omega_V0 = length(omega_i_V0); % Antall svingeformer inkludert i ber.
omega_i_endelig = zeros(len_omega_V0,1);

H_diag =zeros(len_omega_V0,length(omega));

kappa_ae = zeros(len_omega_V0);
zeta_ae = zeros(len_omega_V0);

for i = 1:len_omega_V0
    phi_i = egenmode_i(phi,i); % Lager svingeform nr i.
    m_i = m(i); % Finner masse nr i.
    omega_i_i = omega_i(i);
    omega_i_V0_i = omega_i_V0(i);
    for j = 1:len_omega_V0
        phi_j = egenmode_i(phi,j); % Lager svingeform nr j.
        
        % Beregner aerodynamisk stivhet i pos i,j.
        kappa_ae(i,j) = stivhet_ae(Input_felles,phi_i, ...
            phi_j,SvingeformData,Ckoeff, ...
            V,rho,m_i,i,j,omega_i_i,omega_i(j),omega_i_V0_i);
        % Beregner aerodynamisk dempning i pos i,j.
        zeta_ae(i,j) = dempning_ae(Input_felles,phi_i, ...
            phi_j,SvingeformData,Ckoeff, ...
            V,rho,m_i,i,j,omega_i_i,omega_i(j),omega_i_V0_i);
    end
end

for j = 1:length(omega)
    % Beregner dynamisk forsterkningsmatrise.
    H_midlertidig = amplification(kappa_ae,zeta_ae,omega(j),zeta,omega_i_V0);
    for i = 1:len_omega_V0
        % Mellomlagrer diagonalverdiene i en ny matrise.
        H_diag(i,j) = H_midlertidig(i,i);
    end
end
    
% Finner de nye egenfrekvensene.
for k = 1:len_omega_V0
    H_abs = abs(H_diag(k,:));
    [verdi,pos] = max(H_abs);
    omega_i_endelig(k)=omega(pos);
end
end