function [SQ,J] = lastmatrise(Input_felles,Ckoeff, ...
    Input_cross_spectra,I_u,I_w,x,SvingeformData,phi,omega, ...
    rho,m,V,omega_i_V0)
% Gir lastmatrisen S_Q.

N_modes = length(omega_i_V0); % Antall svingeformer inkludert.
SQ = zeros(N_modes);
J = zeros(N_modes);

B = Input_felles(1); % Bredden av brutverrsnittet.

for i = 1:N_modes
    
    m_i = m(i); % Finner masse nr i.
    omega_i_V0_i = omega_i_V0(i);
    phi_i = egenmode_i(phi,i); % Lager svingeform nr i.
    
    for j = 1:N_modes
        
        m_j = m(j); % Finner masse nr j.
        phi_j = egenmode_i(phi,j); % Lager svingeform nr j.
        omega_i_V0_j = omega_i_V0(j); 
        
        % Beregner samspillfunksjonen p pos. i,j.
        J(i,j) = samspillfunksjon(Input_felles,Ckoeff, ...
            Input_cross_spectra,I_u,I_w,x,SvingeformData,phi_i,phi_j, ...
            i,j,V,omega);
        
        % Beregner lastmatrisen p pos. i,j.
        SQ(i,j) = ((rho*B^3)/(2*m_i))*((rho*B^3)/(2*m_j)) ...
            * (V/(B*omega_i_V0_i))^2 * (V/(B*omega_i_V0_j))^2 ...
            * J(i,j);
    end
end
end