% Plotter de aerodynamisk deriverte

V_red=0:0.001:4; % Redusert middelvindhastighet.
len_V_red = length(V_red);

alpha_L = 0.9;
alpha_M = 0.7;
betta_M = 0.4;
betta_L = 0.16;
C_L = Ckoeff(5);
C_M = Ckoeff(7);

H1 = - alpha_L*C_L .* V_red;
A1 = - alpha_M*C_M .* V_red;

A2 = - alpha_M*C_M*betta_M * 0.2 .* V_red.^2;
H2 = alpha_L*C_L*betta_L*0.16 .* V_red;

A3 = alpha_M*C_M .* V_red.^2;
H3 = alpha_L*C_L .* V_red.^2;

A4 = zeros(1,length(V_red));
H4 = zeros(1,length(V_red));

subplot(2,2,1)
plot(V_red,H1,V_red,A1, 'LineWidth', 1)
ylabel('A^*_1 og H^*_1')
grid
legend('H^*_1','A^*_1')

subplot(2,2,2)
plot(V_red,H2,V_red,A2, 'LineWidth', 1)
ylabel('A^*_2 og H^*_2')
grid
legend('H^*_2','A^*_2')

subplot(2,2,3)
plot(V_red,H4,V_red,A4, 'LineWidth', 1)
xlabel('V_{red} = V / (B \cdot \omega_z)');
ylabel('A^*_4 og H^*_4')
grid
legend('H^*_4','A^*_4')

subplot(2,2,4)
plot(V_red,H3,V_red,A3, 'LineWidth', 1)
xlabel('V_{red} = V / (B \cdot \omega_{\theta})');
ylabel('A^*_3 og H^*_3')
grid
legend('H^*_3','A^*_3')