function Jhatt = samspillfunksjon(Input_felles,Ckoeff, ...
Input_cross_spectra,I_u,I_w,x,SvingeformData,phi_i,phi_j, ...
mode_i,mode_j,V,omega)
% Gir ut den normaliserte samspillfunksjonen opphyd i andre.

B = Input_felles(1); % Bredden av brutverrsnittet.
H = Input_felles(2); % Hyden av brutverrsnittet.

C_Ds = Ckoeff(1);
C_Dd = Ckoeff(2);
C_Ls = Ckoeff(4);
C_Ld = Ckoeff(5);
C_Ms = Ckoeff(6);
C_Md = Ckoeff(7);

C_ux = Input_cross_spectra(1);
C_wx = Input_cross_spectra(2);
A_u = Input_cross_spectra(3);
A_w = Input_cross_spectra(4);
xL_u = Input_cross_spectra(5);
xL_w = Input_cross_spectra(6);

% Finner vindens spektraltetthet (delt p variansen).
S_u = (A_u*xL_u/V)./((1+1.5*A_u*xL_u*omega/V).^(5/3));
S_w = (A_w*xL_w/V)./((1+1.5*A_w*xL_w*omega/V).^(5/3));

beta_u = C_ux*omega./V;
beta_w = C_wx*omega./V;

if SvingeformData(mode_i,2) == 1 % Dersom phi_i er i hor. retning.
    if SvingeformData(mode_j,2) == 1 % Dersom phi_j er i hor. retning.
        I_uu = S_u .* integrasjon(Input_felles,x,beta_u,phi_i(1,:) ...
            ,phi_j(1,:));
        I_ww = S_w .* integrasjon(Input_felles,x,beta_w,phi_i(1,:) ...
            ,phi_j(1,:));
        teller = (2*H*C_Ds/B)^2*I_u^2*I_uu + (H*C_Dd/B-C_Ls)^2*I_w^2*I_ww;      
        
    elseif SvingeformData(mode_j,2) == 2 % Dersom phi_j er i ver. retning.
        I_uu = S_u .* integrasjon(Input_felles,x,beta_u,phi_i(1,:) ...
            ,phi_j(2,:));
        I_ww = S_w .* integrasjon(Input_felles,x,beta_w,phi_i(1,:) ...
            ,phi_j(2,:));
        teller = 4*H*C_Ds*C_Ls*I_u^2*I_uu/B + (H*C_Dd/B-C_Ls)* ...
            (C_Ld+H*C_Ds/B)*I_w^2*I_ww;
         
    else % Dersom phi_j er i torsjon.
        I_uu = S_u .* integrasjon(Input_felles,x,beta_u,phi_i(1,:) ...
            ,phi_j(3,:));
        I_ww = S_w .* integrasjon(Input_felles,x,beta_w,phi_i(1,:) ...
            ,phi_j(3,:));
        teller = 4*H*C_Ds*C_Ms*I_u^2*I_uu + (H*C_Dd/B-C_Ls)*B*C_Md ...
            *I_w^2*I_ww;
    end
    
elseif SvingeformData(mode_i,2) == 2 % Dersom phi_i er i ver. retning.
    if SvingeformData(mode_j,2) == 1 % Dersom phi_j er i hor. retning.
        I_uu = S_u .* integrasjon(Input_felles,x,beta_u,phi_i(2,:) ...
            ,phi_j(1,:));
        I_ww = S_w .* integrasjon(Input_felles,x,beta_w,phi_i(2,:) ...
            ,phi_j(1,:));
        teller = 4*H*C_Ds*C_Ls*I_u^2*I_uu/B + (H*C_Dd/B-C_Ls)* ...
            (C_Ld+H*C_Ds/B)*I_w^2*I_ww;

    elseif SvingeformData(mode_j,2) == 2 % Dersom phi_j er i ver. retning.
        I_uu = S_u .* integrasjon(Input_felles,x,beta_u,phi_i(2,:) ...
            ,phi_j(2,:));
        I_ww = S_w .* integrasjon(Input_felles,x,beta_w,phi_i(2,:) ...
            ,phi_j(2,:));
        teller = (2*C_Ls)^2*I_u^2*I_uu+(C_Ld+H*C_Ds/B)^2*I_w^2*I_ww;
        
    else % Dersom phi_j er i torsjon.
        I_uu = S_u .* integrasjon(Input_felles,x,beta_u,phi_i(2,:) ...
            ,phi_j(3,:));
        I_ww = S_w .* integrasjon(Input_felles,x,beta_w,phi_i(2,:) ...
            ,phi_j(3,:));
        teller = 4*C_Ls*B*C_Ms*I_u^2*I_uu + (C_Ld+H*C_Ds/B)*B*C_Md ...
            *I_w^2*I_ww;
    end
    
else % Dersom phi_i er i torsjon.
    if SvingeformData(mode_j,2) == 1 % Dersom phi_j er i hor. retning.
        I_uu = S_u .* integrasjon(Input_felles,x,beta_u,phi_i(3,:) ...
            ,phi_j(1,:));
        I_ww = S_w .* integrasjon(Input_felles,x,beta_w,phi_i(3,:) ...
            ,phi_j(1,:));
        teller = 4*H*C_Ds*C_Ms*I_u^2*I_uu + (H*C_Dd/B-C_Ls)*B*C_Md ...
            *I_w^2*I_ww;
        
    elseif SvingeformData(mode_j,2) == 2 % Dersom phi_j er i ver. retning.
        I_uu = S_u .* integrasjon(Input_felles,x,beta_u,phi_i(3,:) ...
            ,phi_j(2,:));
        I_ww = S_w .* integrasjon(Input_felles,x,beta_w,phi_i(3,:) ...
            ,phi_j(2,:));
        teller = 4*C_Ls*B*C_Ms*I_u^2*I_uu + (C_Ld+H*C_Ds/B)*B*C_Md ...
            *I_w^2*I_ww;
        
    else % Dersom phi_j er i torsjon.
        I_uu = S_u .* integrasjon(Input_felles,x,beta_u,phi_i(3,:) ...
            ,phi_j(3,:));
        I_ww = S_w .* integrasjon(Input_felles,x,beta_w,phi_i(3,:) ...
            ,phi_j(3,:));
        teller = (2*B*C_Ms)^2*I_u^2*I_uu+(B*C_Md)^2*I_w^2*I_ww;
    end
end

nevner = (phi_i(1,:)*phi_i(1,:)' + phi_i(2,:)*phi_i(2,:)' + ...
    phi_i(3,:)*phi_i(3,:)') * (phi_j(1,:)*phi_j(1,:)' + ...
    phi_j(2,:)*phi_j(2,:)' + phi_j(3,:)*phi_j(3,:)');

dx = (x(end)-x(1))/(length(x)-1);
Jhatt = teller/(nevner*dx^2);
end