% Lager H_ij for alle omega for hver V.
disp('Jobber med save_H')

N_V = length(V);
N_omega = length(omega);
N_modes = length(omega_i_V0); % Antall svingeformer inkludert i ber.

% Forhndslagrer plasser for innlastning i cellarrays:
H_tot = cell(N_V,N_omega);
for a=1:N_V
    for b=1:N_omega
        H_tot{a,b} = zeros(N_modes);
    end
end

for c = 1:N_V
    disp([num2str(V(c),8) ' m/s...'])
    
    % Henter aerodynamisk stivhet og dempning:
    if V(c) == 0
        kappa_ae = zeros(N_modes);
        zeta_ae = zeros(N_modes);
    else
        path = ['output/V' num2str(V(c),8) '/'];
        inputNavn = 'kappa_ae';
        path2 = ['output/V' num2str(V(c),8) '/'];
        inputNavn2 = 'zeta_ae';
        
        load([path inputNavn],'-ascii');
        load([path2 inputNavn2],'-ascii');
    end

    parfor i = 1:N_omega
        % Lagaer aerodynamisk forsterkningsmatrise:
        H_amp = amplification(kappa_ae,zeta_ae,omega(i),zeta,omega_i_V0);
        H_tot{c,i} = H_amp; 
    end
end

disp('Sorterer H til Hij(omega) og lagrer til mapper')

H_ij = cell(N_modes);
for i=1:N_modes
    for j=1:N_modes
        H_ij{i,j} = zeros(N_omega,2);
    end
end

for d=1:N_V
    for e=1:N_omega

        Hmidl = H_tot{d,e};
        
        for f=1:N_modes
            for g=1:N_modes
                H_ij{f,g}(e,1)=real(Hmidl(f,g));
                H_ij{f,g}(e,2)=imag(Hmidl(f,g));
            end
        end
    end
    
    for g=1:N_modes
        for h=1:N_modes
            path = ['output/V' num2str(V(d),8) '/amplification/'];
            outputNavn = ['H_' num2str(g) '_' num2str(h)];
            
            Hsave = H_ij{g,h};
            
            save([path outputNavn],'Hsave','-ascii');
        end
    end
end