% Lager J_ij og SQ_ij for alle omega for hver V.
disp('Jobber med save_SQ_og_J')

N_V = length(V);
N_omega = length(omega);
N_modes = length(omega_i_V0); % Antall svingeformer inkludert i ber.

% Forhndslagrer plasser for innlastning i cellarrays:
J = cell(N_V,N_omega);
SQ = cell(N_V,N_omega);
for i=1:N_V
    for j=1:N_omega
        J{i,j}=zeros(N_modes);
        SQ{i,j}=zeros(N_modes);
    end
end

% Beregner last- og samspillmatrisen:
for i = 1:N_V
    disp([num2str(V(i),8) ' m/s...'])
    parfor j = 1:N_omega
        [SQmidl,Jmidl] = lastmatrise(Input_felles,Ckoeff, ...
            Input_cross_spectra,I_u,I_w,x,SvingeformData,phi,omega(j), ...
            rho,m,V(i),omega_i_V0);
        J{i,j}=Jmidl;
        SQ{i,j}=SQmidl;
    end
end

% Sorterer J og SQ til Jij(omega) og Sij(omega) og lagrer til mapper
J_e_f = cell(N_modes);
SQ_e_f = cell(N_modes);
for i=1:N_modes
    for j=1:N_modes
        J_e_f{i,j} = zeros(N_omega,1);
        SQ_e_f{i,j} = zeros(N_omega,1);
    end
end

for c=1:N_V
    for d=1:N_omega
        
        Jmidl = J{c,d};
        SQmidl = SQ{c,d};
        
        for e=1:N_modes
            for f=1:N_modes
                J_e_f{e,f}(d)=Jmidl(e,f);
                SQ_e_f{e,f}(d)=SQmidl(e,f);
            end
        end
    end
    
    for g=1:N_modes
        for h=1:N_modes
            path = ['output/V' num2str(V(c),8) '/J/'];
            outputNavn = ['J_' num2str(g) '_' num2str(h)];

            path2 = ['output/V' num2str(V(c),8) '/SQ/'];
            outputNavn2 = ['SQ_' num2str(g) '_' num2str(h)];
            
            J_a_b = J_e_f{g,h};
            SQ_a_b = SQ_e_f{g,h};

            save([path outputNavn],'J_a_b','-ascii');
            save([path2 outputNavn2],'SQ_a_b','-ascii');
        end
    end
end
