% Lager aerodynamiske stivhets- og dempningsmatriser for hver V
disp('Jobber med save_aeStivhet_aeDempning')

N_modes = length(omega_i_V0); % Antall svingeformer inkludert.

for v = V
    
    % Henter itererte egenfrekvenser:
    path = ['output/V' num2str(v,8) '/'];
    inputNavn = ['omega_i_endelig_V' num2str(v,8)];
    omega_i_endelig = load([path inputNavn], '-ascii');
  
    kappa_ae = zeros(length(omega_i_V0));
    zeta_ae = zeros(length(omega_i_V0));
    
  for i = 1:N_modes
      phi_i = egenmode_i(phi,i); % Lager svingeform nr i.
      m_i = m(i); % Finner masse nr i.
      omega_i_endelig_i = omega_i_endelig(i); 
      omega_i_V0_i = omega_i_V0(i);
      for j = 1:N_modes
          phi_j = egenmode_i(phi,j); % Lager svingeform nr j.
          
          % Beregner aerodynamisk stivhet i pos i,j.
          kappa_ae(i,j) = stivhet_ae(Input_felles,phi_i,phi_j, ...
              SvingeformData,Ckoeff,v,rho,m_i,i,j,omega_i_endelig_i, ...
              omega_i_endelig(j),omega_i_V0_i);
          % Beregner aerodynamisk dempning i pos i,j.
          zeta_ae(i,j) = dempning_ae(Input_felles,phi_i,phi_j, ...
            SvingeformData,Ckoeff,v,rho,m_i, ...
            i,j,omega_i_endelig_i,omega_i_endelig(j),omega_i_V0_i);  
      end
  end
  
  path = ['output/V' num2str(v,8) '/'];
  outputNavn = 'kappa_ae';
  path2 = ['output/V' num2str(v,8) '/'];
  outputNavn2 = 'zeta_ae';
          
  save([path outputNavn],'kappa_ae','-ascii');
  save([path2 outputNavn2],'zeta_ae','-ascii');
end
