% Lager Cov-matriser for gitte x_r for hver V.
disp('Jobber med save_respons')

N_V = length(V);
N_omega = length(omega);
N_modes = length(omega_i_V0); % Antall svingeformer inkludert i ber.
H_midl_2 = zeros(N_omega,1);

% Forhndslagrer plasser for innlastning i cellarrays:
H_ij_omega = cell(N_V,1);
SQ_ij_omega = cell(N_V,1);
for a=1:N_V
    H_ij_omega{a} = cell(N_modes);
    SQ_ij_omega{a} = cell(N_modes);
end

% Forhndslagrer plasser for sortering av innlastede verdier i cellarrays:
H_omega = cell(N_V,N_omega);
SQ_omega = cell(N_V,N_omega);
for a=1:N_V
    for b=1:N_omega
        H_omega{a,b} = zeros(N_modes);
        SQ_omega{a,b} = zeros(N_modes);
    end
end

% Laster inn verdier for dynamisk forstertkningsmatrise
% og lastmatrise, samt sorterer for responsberegning:
for a=1:N_V
    for b=1:N_modes
        for c=1:N_modes
            path = ['output/V' num2str(V(a),8) '/amplification/'];
            inputNavn = ['H_' num2str(b) '_' num2str(c)];
            H_midl = load([path inputNavn], '-ascii');
            
            for y=1:N_omega
                H_midl_2(y) = H_midl(y,1) + 1i*H_midl(y,2);
            end
            H_ij_omega{a}{b,c} = H_midl_2;
            
            path2 = ['output/V' num2str(V(a),8) '/SQ/'];
            inputNavn2 = ['SQ_' num2str(b) '_' num2str(c)];
            SQ_midl = load([path2 inputNavn2], '-ascii');
            
            SQ_ij_omega{a}{b,c} = SQ_midl;
        end
    end
    
    for d=1:N_modes
        for e=1:N_modes
            for f=1:N_omega
                H_omega{a,f}(d,e) = H_ij_omega{a}{d,e}(f);
                SQ_omega{a,f}(d,e) = SQ_ij_omega{a}{d,e}(f);
            end
        end
    end
end

% Beregning av Cov-matrise:
for X_R = x_r
    disp(['x_r = ' num2str(X_R) 'L...'])

    phi_ny = zeros(3,N_modes);
    [error,index] = min(abs(x-X_R*L));

    for j = 1:N_modes
        phi_i = egenmode_i(phi,j);
        phi_ny(:,j) = phi_i(:,index);
    end
    
    for i = 1:N_V
        integral = zeros(3);
        for j = 1:N_omega
            
            H = H_omega{i,j};
            SQ = SQ_omega{i,j};
            
            midl = phi_ny * conj(H) * SQ * transpose(H) * transpose(phi_ny);
            integral = integral + abs(midl);
        end

        integral = integral*domega;

        Cov_rr = integral;

        path = ['output/V' num2str(V(i),8) '/respons/'];
        outputNavn = ['Cov_rr_x_r=' num2str(X_R) 'L'];
        save([path outputNavn],'Cov_rr','-ascii');
    end
end